summaryrefslogtreecommitdiff
path: root/dev-python/catkin_pkg
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/catkin_pkg
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/catkin_pkg')
-rw-r--r--dev-python/catkin_pkg/Manifest4
-rw-r--r--dev-python/catkin_pkg/catkin_pkg-0.4.12.ebuild56
-rw-r--r--dev-python/catkin_pkg/catkin_pkg-0.4.13.ebuild56
-rw-r--r--dev-python/catkin_pkg/catkin_pkg-0.4.15.ebuild56
-rw-r--r--dev-python/catkin_pkg/catkin_pkg-0.4.20.ebuild56
-rw-r--r--dev-python/catkin_pkg/catkin_pkg-9999.ebuild56
-rw-r--r--dev-python/catkin_pkg/files/catkin_prefix2.patch29
-rw-r--r--dev-python/catkin_pkg/files/infinite_loop3.patch27
-rw-r--r--dev-python/catkin_pkg/files/infinite_loop4.patch27
-rw-r--r--dev-python/catkin_pkg/files/ros_packages.patch13
-rw-r--r--dev-python/catkin_pkg/metadata.xml12
11 files changed, 392 insertions, 0 deletions
diff --git a/dev-python/catkin_pkg/Manifest b/dev-python/catkin_pkg/Manifest
new file mode 100644
index 000000000000..08525d3d2058
--- /dev/null
+++ b/dev-python/catkin_pkg/Manifest
@@ -0,0 +1,4 @@
+DIST catkin_pkg-0.4.12-gh.tar.gz 61535 BLAKE2B 9b1a60cfc6bfda6e0f126f062cf62636df162577d693aaa07c4e7433f74383686224c31e0d567a95de20e2643c39f84781be3f82b39d9dfbbd1aed0dd397587e SHA512 227a6f07a46ab62d51f408a8aa08d57199a8f4d7c954421bf9a605fce3a0dc447c9379987bcacbed3bce139f00e95bd565286a530b7177acfc29a172da30f7dd
+DIST catkin_pkg-0.4.13-gh.tar.gz 61790 BLAKE2B b879b6e71c84863fdcbca1023dd5850a226c850e47348a5ce3cfa846bd4dfb7fe0fa2c406003b4d1a0ae7ab97e57a983a499c3a27851d3101c928765c9620cdf SHA512 b971019fe2f8e66639d271ce3a7933368a4af7658d143cb042a315492926a4b0c3593dc9f784ea75150aa048266219fe80f2a104adc6d361a6725d4b24aef330
+DIST catkin_pkg-0.4.15-gh.tar.gz 63376 BLAKE2B 14eaddbc4dd544c26556033699806ee7596a0b262fc8c445696df468d3031ee63ec6c5e74c0a99569fd3faccf79202809b5e85e5ad5655d2f529d25b3d62ce1b SHA512 568f169e8fff5c4e41fdd02cbb4549dac99361a83241acbf15d3a3f2ae72f9230cab147eaa79688ce8e59d91f49096c8c57f73bb5fbfa89a41ac37aac9841f22
+DIST catkin_pkg-0.4.20-gh.tar.gz 64039 BLAKE2B f57de3000798c0f65f4a759f605d80161d598bf648b556b37a66d31366bb3d56805c4178badcfff5e0286e8ed07f1699a2b6eb36112a51abb4d540928a108ba8 SHA512 7b2b25186b9fefd3acd11b785562c6481e9f37f568d66a674d314318686d3e0d2e8ce0cacab126411de78c71e2b8f378439d442d3fd041b3e92a25e95cef4e19
diff --git a/dev-python/catkin_pkg/catkin_pkg-0.4.12.ebuild b/dev-python/catkin_pkg/catkin_pkg-0.4.12.ebuild
new file mode 100644
index 000000000000..bc3411c6ac09
--- /dev/null
+++ b/dev-python/catkin_pkg/catkin_pkg-0.4.12.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_6 pypy3 )
+
+SCM=""
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SCM="git-r3"
+ EGIT_REPO_URI="https://github.com/ros-infrastructure/catkin_pkg"
+fi
+
+inherit ${SCM} distutils-r1
+
+DESCRIPTION="Standalone Python library for the catkin package system"
+HOMEPAGE="http://wiki.ros.org/catkin_pkg"
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="https://github.com/ros-infrastructure/catkin_pkg/archive/${PV}.tar.gz -> ${P}-gh.tar.gz"
+ KEYWORDS="~amd64 ~arm"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/pyparsing[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND} ${BDEPEND}
+ test? (
+ dev-python/flake8[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ )"
+RDEPEND="${RDEPEND}
+ !<dev-util/catkin-0.7.14"
+PATCHES=(
+ "${FILESDIR}/catkin_prefix2.patch"
+ "${FILESDIR}/ros_packages.patch"
+ "${FILESDIR}/infinite_loop3.patch"
+)
+
+python_test() {
+ nosetests -s --tests test || die
+}
diff --git a/dev-python/catkin_pkg/catkin_pkg-0.4.13.ebuild b/dev-python/catkin_pkg/catkin_pkg-0.4.13.ebuild
new file mode 100644
index 000000000000..bc3411c6ac09
--- /dev/null
+++ b/dev-python/catkin_pkg/catkin_pkg-0.4.13.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_6 pypy3 )
+
+SCM=""
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SCM="git-r3"
+ EGIT_REPO_URI="https://github.com/ros-infrastructure/catkin_pkg"
+fi
+
+inherit ${SCM} distutils-r1
+
+DESCRIPTION="Standalone Python library for the catkin package system"
+HOMEPAGE="http://wiki.ros.org/catkin_pkg"
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="https://github.com/ros-infrastructure/catkin_pkg/archive/${PV}.tar.gz -> ${P}-gh.tar.gz"
+ KEYWORDS="~amd64 ~arm"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/pyparsing[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND} ${BDEPEND}
+ test? (
+ dev-python/flake8[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ )"
+RDEPEND="${RDEPEND}
+ !<dev-util/catkin-0.7.14"
+PATCHES=(
+ "${FILESDIR}/catkin_prefix2.patch"
+ "${FILESDIR}/ros_packages.patch"
+ "${FILESDIR}/infinite_loop3.patch"
+)
+
+python_test() {
+ nosetests -s --tests test || die
+}
diff --git a/dev-python/catkin_pkg/catkin_pkg-0.4.15.ebuild b/dev-python/catkin_pkg/catkin_pkg-0.4.15.ebuild
new file mode 100644
index 000000000000..d4b62f25527a
--- /dev/null
+++ b/dev-python/catkin_pkg/catkin_pkg-0.4.15.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{3_6,3_7} pypy3 )
+
+SCM=""
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SCM="git-r3"
+ EGIT_REPO_URI="https://github.com/ros-infrastructure/catkin_pkg"
+fi
+
+inherit ${SCM} distutils-r1
+
+DESCRIPTION="Standalone Python library for the catkin package system"
+HOMEPAGE="http://wiki.ros.org/catkin_pkg"
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="https://github.com/ros-infrastructure/catkin_pkg/archive/${PV}.tar.gz -> ${P}-gh.tar.gz"
+ KEYWORDS="~amd64 ~arm"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/pyparsing[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND} ${BDEPEND}
+ test? (
+ dev-python/flake8[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ )"
+RDEPEND="${RDEPEND}
+ !<dev-util/catkin-0.7.14"
+PATCHES=(
+ "${FILESDIR}/catkin_prefix2.patch"
+ "${FILESDIR}/ros_packages.patch"
+ "${FILESDIR}/infinite_loop3.patch"
+)
+
+python_test() {
+ nosetests -s --tests test || die
+}
diff --git a/dev-python/catkin_pkg/catkin_pkg-0.4.20.ebuild b/dev-python/catkin_pkg/catkin_pkg-0.4.20.ebuild
new file mode 100644
index 000000000000..622966856b37
--- /dev/null
+++ b/dev-python/catkin_pkg/catkin_pkg-0.4.20.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{3_6,3_7,3_8} pypy3 )
+
+SCM=""
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SCM="git-r3"
+ EGIT_REPO_URI="https://github.com/ros-infrastructure/catkin_pkg"
+fi
+
+inherit ${SCM} distutils-r1
+
+DESCRIPTION="Standalone Python library for the catkin package system"
+HOMEPAGE="http://wiki.ros.org/catkin_pkg"
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="https://github.com/ros-infrastructure/catkin_pkg/archive/${PV}.tar.gz -> ${P}-gh.tar.gz"
+ KEYWORDS="~amd64 ~arm"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/pyparsing[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND} ${BDEPEND}
+ test? (
+ dev-python/flake8[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ )"
+RDEPEND="${RDEPEND}
+ !<dev-util/catkin-0.7.14"
+PATCHES=(
+ "${FILESDIR}/catkin_prefix2.patch"
+ "${FILESDIR}/ros_packages.patch"
+ "${FILESDIR}/infinite_loop4.patch"
+)
+
+python_test() {
+ nosetests -s --tests test || die
+}
diff --git a/dev-python/catkin_pkg/catkin_pkg-9999.ebuild b/dev-python/catkin_pkg/catkin_pkg-9999.ebuild
new file mode 100644
index 000000000000..622966856b37
--- /dev/null
+++ b/dev-python/catkin_pkg/catkin_pkg-9999.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{3_6,3_7,3_8} pypy3 )
+
+SCM=""
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SCM="git-r3"
+ EGIT_REPO_URI="https://github.com/ros-infrastructure/catkin_pkg"
+fi
+
+inherit ${SCM} distutils-r1
+
+DESCRIPTION="Standalone Python library for the catkin package system"
+HOMEPAGE="http://wiki.ros.org/catkin_pkg"
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="https://github.com/ros-infrastructure/catkin_pkg/archive/${PV}.tar.gz -> ${P}-gh.tar.gz"
+ KEYWORDS="~amd64 ~arm"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/pyparsing[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND} ${BDEPEND}
+ test? (
+ dev-python/flake8[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ )"
+RDEPEND="${RDEPEND}
+ !<dev-util/catkin-0.7.14"
+PATCHES=(
+ "${FILESDIR}/catkin_prefix2.patch"
+ "${FILESDIR}/ros_packages.patch"
+ "${FILESDIR}/infinite_loop4.patch"
+)
+
+python_test() {
+ nosetests -s --tests test || die
+}
diff --git a/dev-python/catkin_pkg/files/catkin_prefix2.patch b/dev-python/catkin_pkg/files/catkin_prefix2.patch
new file mode 100644
index 000000000000..761894e83b1c
--- /dev/null
+++ b/dev-python/catkin_pkg/files/catkin_prefix2.patch
@@ -0,0 +1,29 @@
+Allow CATKIN_PREFIX_PATH to work as CMAKE_PREFIX_PATH:
+When building with SYSROOT!=/, CMAKE_PREFIX_PATH is the same as with SYSROOT=/
+but we need to find packages in SYSROOT.
+
+Index: catkin_pkg-0.4.6/src/catkin_pkg/workspaces.py
+===================================================================
+--- catkin_pkg-0.4.6.orig/src/catkin_pkg/workspaces.py
++++ catkin_pkg-0.4.6/src/catkin_pkg/workspaces.py
+@@ -41,16 +41,17 @@ CATKIN_WORKSPACE_MARKER_FILE = '.catkin_
+
+ def get_spaces(paths=None):
+ """
+- Return a list of spaces based on the CMAKE_PREFIX_PATH or passed in list of workspaces.
++ Return a list of spaces based on the CMAKE_PREFIX_PATH/CATKIN_PREFIX_PATH or passed in list of workspaces.
+
+ It resolves the source space for each devel space and ignores non-catkin paths.
+ :param paths_to_order: list of paths
+ :param prefix_paths: list of prefixes, must not end with '/'
+ """
+ if paths is None:
+- if 'CMAKE_PREFIX_PATH' not in os.environ:
+- raise RuntimeError('Neither the environment variable CMAKE_PREFIX_PATH is set nor was a list of paths passed.')
++ if 'CMAKE_PREFIX_PATH' not in os.environ and 'CATKIN_PREFIX_PATH' not in os.environ:
++ raise RuntimeError('None of the environment variables CMAKE_PREFIX_PATH or CATKIN_PREFIX_PATH are set nor was a list of paths passed.')
+ paths = os.environ['CMAKE_PREFIX_PATH'].split(os.pathsep) if os.environ['CMAKE_PREFIX_PATH'] else []
++ paths += os.environ['CATKIN_PREFIX_PATH'].split(os.pathsep) if os.environ['CATKIN_PREFIX_PATH'] else []
+
+ spaces = []
+ for path in paths:
diff --git a/dev-python/catkin_pkg/files/infinite_loop3.patch b/dev-python/catkin_pkg/files/infinite_loop3.patch
new file mode 100644
index 000000000000..e00fb93f5135
--- /dev/null
+++ b/dev-python/catkin_pkg/files/infinite_loop3.patch
@@ -0,0 +1,27 @@
+https://bugs.gentoo.org/show_bug.cgi?id=612860
+By Tim Rakowski
+We os.walk /usr with followlinks=True, but at least nodejs contains a "recursive" link in /usr/include/node
+
+Index: catkin_pkg-0.4.6/src/catkin_pkg/packages.py
+===================================================================
+--- catkin_pkg-0.4.6.orig/src/catkin_pkg/packages.py
++++ catkin_pkg-0.4.6/src/catkin_pkg/packages.py
+@@ -57,7 +57,9 @@ def find_package_paths(basepath, exclude
+ """
+ paths = []
+ real_exclude_paths = [os.path.realpath(p) for p in exclude_paths] if exclude_paths is not None else []
++ visited = set()
+ for dirpath, dirnames, filenames in os.walk(basepath, followlinks=True):
++ visited.add(dirpath)
+ if 'AMENT_IGNORE' in filenames or \
+ 'CATKIN_IGNORE' in filenames or \
+ 'COLCON_IGNORE' in filenames or \
+@@ -70,7 +72,7 @@ def find_package_paths(basepath, exclude
+ del dirnames[:]
+ continue
+ # filter out hidden directories in-place
+- dirnames[:] = [d for d in dirnames if not d.startswith('.')]
++ dirnames[:] = [d for d in dirnames if not d.startswith('.') and not os.path.realpath(os.path.join(dirpath, d)) in visited]
+ return paths
+
+
diff --git a/dev-python/catkin_pkg/files/infinite_loop4.patch b/dev-python/catkin_pkg/files/infinite_loop4.patch
new file mode 100644
index 000000000000..affb67bb8367
--- /dev/null
+++ b/dev-python/catkin_pkg/files/infinite_loop4.patch
@@ -0,0 +1,27 @@
+https://bugs.gentoo.org/show_bug.cgi?id=612860
+By Tim Rakowski
+We os.walk /usr with followlinks=True, but at least nodejs contains a "recursive" link in /usr/include/node
+
+Index: catkin_pkg-0.4.20/src/catkin_pkg/packages.py
+===================================================================
+--- catkin_pkg-0.4.20.orig/src/catkin_pkg/packages.py
++++ catkin_pkg-0.4.20/src/catkin_pkg/packages.py
+@@ -57,7 +57,9 @@ def find_package_paths(basepath, exclude
+ """
+ paths = []
+ real_exclude_paths = [os.path.realpath(p) for p in exclude_paths] if exclude_paths is not None else []
++ visited = set()
+ for dirpath, dirnames, filenames in os.walk(basepath, followlinks=True):
++ visited.add(dirpath)
+ if set(dirnames + filenames) & {'AMENT_IGNORE', 'CATKIN_IGNORE', 'COLCON_IGNORE'} or \
+ os.path.realpath(dirpath) in real_exclude_paths or \
+ (exclude_subspaces and '.catkin' in filenames):
+@@ -68,7 +70,7 @@ def find_package_paths(basepath, exclude
+ del dirnames[:]
+ continue
+ # filter out hidden directories in-place
+- dirnames[:] = [d for d in dirnames if not d.startswith('.')]
++ dirnames[:] = [d for d in dirnames if not d.startswith('.') and not os.path.realpath(os.path.join(dirpath, d)) in visited]
+ return paths
+
+
diff --git a/dev-python/catkin_pkg/files/ros_packages.patch b/dev-python/catkin_pkg/files/ros_packages.patch
new file mode 100644
index 000000000000..06933d69a9fa
--- /dev/null
+++ b/dev-python/catkin_pkg/files/ros_packages.patch
@@ -0,0 +1,13 @@
+Index: catkin_pkg-0.3.1/src/catkin_pkg/packages.py
+===================================================================
+--- catkin_pkg-0.3.1.orig/src/catkin_pkg/packages.py
++++ catkin_pkg-0.3.1/src/catkin_pkg/packages.py
+@@ -59,7 +59,7 @@ def find_package_paths(basepath, exclude
+ del dirnames[:]
+ continue
+ elif PACKAGE_MANIFEST_FILENAME in filenames:
+- paths.append(os.path.relpath(dirpath, basepath))
++ paths.append(os.path.relpath(dirpath.replace('ros_packages/', ''), basepath))
+ del dirnames[:]
+ continue
+ for dirname in dirnames:
diff --git a/dev-python/catkin_pkg/metadata.xml b/dev-python/catkin_pkg/metadata.xml
new file mode 100644
index 000000000000..3cb339531f48
--- /dev/null
+++ b/dev-python/catkin_pkg/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ros@gentoo.org</email>
+ <name>Gentoo ROS Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">ros-infrastructure/catkin_pkg</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>